Package org.gradle.api.launcher.cli

# Class WelcomeMessageConfiguration

java.lang.Object
org.gradle.api.launcher.cli.WelcomeMessageConfiguration

All Implemented Interfaces:
  `Serializable`

@Incubating public class WelcomeMessageConfiguration extends Object implements Serializable
Configures when to display the welcome message on the command line.

Since:
  7.5
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `WelcomeMessageConfiguration(WelcomeMessageDisplayMode welcomeMessageDisplayMode)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `WelcomeMessageDisplayMode`
  `getWelcomeMessageDisplayMode()`
  `void`
  `setWelcomeMessageDisplayMode(WelcomeMessageDisplayMode welcomeMessageDisplayMode)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### WelcomeMessageConfiguration

    public WelcomeMessageConfiguration(WelcomeMessageDisplayMode welcomeMessageDisplayMode)

- ## Method Details

  - ### getWelcomeMessageDisplayMode

    public WelcomeMessageDisplayMode getWelcomeMessageDisplayMode()

  - ### setWelcomeMessageDisplayMode

    public void setWelcomeMessageDisplayMode(WelcomeMessageDisplayMode welcomeMessageDisplayMode)